Execute introspection query against the Firebase SQL Connect's generated GraphQL schema.

GraphQL introspection query provides metadata such as what tables the schema have, what queries and mutations can be performed on the schema, and so on. Read more at <https://graphql.org/learn/introspection>. services.introspectGraphql can read schema metadata but cannot read rows from Cloud SQL instance, which can be done via services.executeGraphqlRead.

### HTTP request

`POST https://firebasedataconnect.googleapis.com/v1/{name=projects/*/locations/*/services/*}:introspectGraphql`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The relative resource name of Firebase SQL Connect service, in the format: projects/{project}/locations/{location}/services/{service} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "query": string, "operationName": string, "variables": { object }, "extensions": { object (`https://firebase.google.com/docs/reference/sql-connect/rest/v1/GraphqlRequestExtensions`) } } ``` |

| Fields ||
|---|---|
| `query` | `string` Required. The GraphQL query document source. |
| `operationName` | `string` Optional. The name of the GraphQL operation name. Required only if `query` contains multiple operations. See <https://graphql.org/learn/queries/#operation-name>. |
| `variables` | ``object (`https://protobuf.dev/reference/protobuf/google.protobuf#struct` format)`` Optional. Values for GraphQL variables provided in this request. |
| `extensions` | ``object (`https://firebase.google.com/docs/reference/sql-connect/rest/v1/GraphqlRequestExtensions`)`` Optional. Additional GraphQL request information. |

### Response body

If successful, the response body contains an instance of `https://firebase.google.com/docs/reference/sql-connect/rest/v1/GraphqlResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `firebasedataconnect.services.introspectGraphql`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).